Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.annotation
Class InjectionMetadata

    java.lang.Object
      org.springframework.beans.factory.annotation.InjectionMetadata

    public class InjectionMetadata

extends Object

Internal class for managing injection metadata. Not intended for direct use in applications.

Used by `AutowiredAnnotationBeanPostProcessor`, `CommonAnnotationBeanPostProcessor` and `PersistenceAnnotationBeanPostProcessor`.

Since:
  2.5
Author:
  Juergen Hoeller

Nested Class Summary
`static class` | `InjectionMetadata.InjectedElement`

Constructor Summary
`InjectionMetadata()`
`InjectionMetadata(Class targetClass)`

Method Summary
`void` | `addInjectedField(InjectionMetadata.InjectedElement element)`
`void` | `addInjectedMethod(InjectionMetadata.InjectedElement element)`
`void` | `checkConfigMembers(RootBeanDefinition beanDefinition)`
`void` | `injectFields(Object target, String beanName)`
`void` | `injectMethods(Object target, String beanName, PropertyValues pvs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InjectionMetadata

    public InjectionMetadata()

### InjectionMetadata

    public InjectionMetadata(Class targetClass)

Method Detail

### addInjectedField

    public void addInjectedField(InjectionMetadata.InjectedElement element)

### addInjectedMethod

    public void addInjectedMethod(InjectionMetadata.InjectedElement element)

### checkConfigMembers

    public void checkConfigMembers(RootBeanDefinition beanDefinition)

### injectFields

    public void injectFields(Object target,
                             String beanName)
                      throws Throwable

  Throws:
    `Throwable`

### injectMethods

    public void injectMethods(Object target,
                              String beanName,
                              PropertyValues pvs)
                       throws Throwable

  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.